# App Structure

## App Structure <a href="#app-structure" id="app-structure"></a>

There are Five main folder structures in an Flutter Native app:

**App**: App has all the files needed for the application and the main structure in which the app is built.

**common**: It has some files which we reuse in app.

**pages**: It has all pages of project which contains UI, functions and styling of our app.

**service**: It has all api implementation of project.

**assets**: It has all icons, background images and some other images.

**style**: It has common style of our whole project and it also has common colors which we reuse in project.

**Note:** If you want more information, please refer to [**Flutter Getting Started**](https://flutter.io/).

### App <a href="#app" id="app"></a>

[add.pngadd.png - 36KB](https://firebasestorage.googleapis.com/v0/b/gitbook-28427.appspot.com/o/assets%2F-LLY6S4_I6vG9eKLUKkp%2F-LLZCxyQGWJ3HkGZpT2Q%2F-LLZCnOxAywDe7syBqQA%2Fadd.png?alt=media\&token=737286b7-e156-4ac8-87e9-3bab4fbdff85)

**main.dart:** It is the main entry point of our app. It defines the basic structure and primary navigation of the app.

‌ In our case, we have a side menu navigation. In this file, we have defined which page would be the first one, the options and shipping of the side menu. It also helps in notifying when the platform gets ready.

### Common:  <a href="#common" id="common"></a>

It contains standard files which we are using in our project. In this case, we have defined a constant variable which is used within the app and is easy to change variable value.

***base\_url:*** '<https://restaurantrestapi.herokuapp.com/>' // you can add your own database URL

### Pages: <a href="#containers" id="containers"></a>

Each page has it’s a folder. And within that folder, you will find every related file for that page. This includes UI, and it is connected with the service page.

‌ Let’s get through the cart page.

### Service: <a href="#containers-1" id="containers-1"></a>

Each page has it’s a folder. And within that folder, you will find every related file for that page. This contains API

### Style: <a href="#containers-2" id="containers-2"></a>

t contains standard style file which we are using in this project. In our case, we have defined all the colors used within the app and is easy to change the color so you can play around and try different color schemes.

We also defined common Text style which are used within the app.

```
TextStyle hintStyle() {  return new TextStyle(      fontWeight: FontWeight.w400,      fontSize: 14.0,      color: Colors.white70,      letterSpacing: 1.0  );}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionicfirebaseapp.com/todo/app-structure.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
